Python (parreq)
# метода в библиотеке пока нет — берём обычным HTTP
import requests
r = requests.post("https://api.parreq.com/v1/crawl/probe",
headers={"Authorization": "Bearer pr_ВАШКЛЮЧ"},
json={"url": "https://shop.example/catalog/"}, timeout=120)
print(r.json()["understood"], r.json()["estimate"]["pages_guess"])// метода в библиотеке пока нет — берём обычным HTTP
const r = await fetch("https://api.parreq.com/v1/crawl/probe", {
method: "POST",
headers: { Authorization: "Bearer pr_ВАШКЛЮЧ", "Content-Type": "application/json" },
body: JSON.stringify({ url: "https://shop.example/catalog/" }) });
const probe = await r.json();
console.log(probe.understood, probe.estimate.pages_guess);curl --request POST \
--url https://parreq.com/v1/crawl/probe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
{
"error": {
"code": "invalid_request",
"message": "неверные или отсутствующие параметры: engine",
"request_id": "a83987d3c8a640d1"
}
}{
"error": {
"code": "missing_api_key",
"message": "нужен ключ: заголовок Authorization: Bearer <ключ>",
"request_id": "a83987d3c8a640d1"
}
}{
"error": {
"code": "key_revoked",
"message": "ключ отозван",
"request_id": "a83987d3c8a640d1"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"code": "rate_limited",
"message": "частота выше 30 запросов в минуту",
"request_id": "a83987d3c8a640d1"
}
}{
"error": {
"code": "search_blocked",
"message": "источник не отдал выдачу на этой попытке",
"request_id": "a83987d3c8a640d1"
}
}{
"error": {
"code": "timeout",
"message": "поисковик не ответил за 180 с",
"request_id": "a83987d3c8a640d1"
}
}Crawler
Разведка сайта
Устройство сайта и оценка объёма до запуска обхода, бесплатно
POST
/
v1
/
crawl
/
probe
Python (parreq)
# метода в библиотеке пока нет — берём обычным HTTP
import requests
r = requests.post("https://api.parreq.com/v1/crawl/probe",
headers={"Authorization": "Bearer pr_ВАШКЛЮЧ"},
json={"url": "https://shop.example/catalog/"}, timeout=120)
print(r.json()["understood"], r.json()["estimate"]["pages_guess"])// метода в библиотеке пока нет — берём обычным HTTP
const r = await fetch("https://api.parreq.com/v1/crawl/probe", {
method: "POST",
headers: { Authorization: "Bearer pr_ВАШКЛЮЧ", "Content-Type": "application/json" },
body: JSON.stringify({ url: "https://shop.example/catalog/" }) });
const probe = await r.json();
console.log(probe.understood, probe.estimate.pages_guess);Authorizations
Ключ клиента: Authorization: Bearer so_…. Равнозначен заголовку X-API-Key.
Body
application/json
The body is of type Body · object.
Response
Successful Response

